############################################################
#                                                          #
#             bullet_orientation.py                        #
#                                                          #
#                  Blender 2.54                            #
#                                                          #
#   Author Irvine on  http://blenderartists.org/forum/     #
#                                                          #
#         Use as you wish, but give me credit              #
#                                                          #
############################################################

# This is one of four scripts that control bullets, this script
# orientates the bullet with the ships axis. Very important, else
# the bullet will go in the wrong direction!

# Setting things up
# get the bge.logic module
import bge

# set things up
controller = bge.logic.getCurrentController()
owner=controller.owner

# retrieve orientation and velocity
orientation = bge.logic.globalDict["bullet_orientation"]

if  "left_bullet" in controller.name:
    bullet_velocity = bge.logic.globalDict["velocity_bullet_left"]
else:
    bullet_velocity = bge.logic.globalDict["velocity_bullet_right"]

# set orientation and velocity
owner.worldOrientation = orientation

controller.actuators["bullet_motion"].useLocalLinV = True
controller.actuators["bullet_motion"].linV = bullet_velocity

# start it moving
controller.activate("bullet_motion")

# End script