############################################################
#                                                          #
#                   bullets.py                             #
#                                                          #
#                  Blender 2.54                            #
#                                                          #
#   Author Irvine on  http://blenderartists.org/forum/     #
#                                                          #
#         Use as you wish, but give me credit              #
#                                                          #
############################################################

# This is one of four scripts that control the bullets, this
# particular script checks that all conditions are valid and finds
# the ships orientation in order to make sure that the bullet
# travels in the correct direction.

# Setting things up
# get the bge.logic module
import bge

# check the pilot is still alive
if not bge.logic.globalDict["dead_pilot"]:
    
    # assign controler
    controller = bge.logic.getCurrentController()
    #owner=controller.owner
    
    # check it is not a key release pulse
    try:
        fire = controller.sensors["fire_gun_left"]
        bullet_velocity = bge.logic.globalDict["velocity_bullet_left"]
    except:
        fire = controller.sensors["fire_gun_right"]
        bullet_velocity = bge.logic.globalDict["velocity_bullet_right"]
        
    if fire.positive:
        
        # Okay, it is a key pressed pulse

        # get the ships orientation 
        orientation = bge.logic.getCurrentScene().objects["Ship"].worldOrientation
        
        # send it to the bullet so that it moves corectly
        bge.logic.globalDict["bullet_orientation"] = orientation
        
        bge.logic.globalDict["bullet_velocity"] = bullet_velocity
        
        
        # we can now create the bullet
        controller.activate("add_bullet")

# End script