############################################################
#                                                          #
#                    radar.py                              #
#                                                          #
#                  Blender 2.54                            #
#                                                          #
#   Author Irvine on  http://blenderartists.org/forum/     #
#                                                          #
#         Use as you wish, but give me credit              #
#                                                          #
############################################################

# I found that the radar sensor was neither user friendly nor applicable for
# in ship radar. This script attached to the ship simulates a radar sensor, analyzes the threat
# and sends the appropriate warnings


# Setting things up
# get the  bge.logic module
import bge

def Find_targets():
    
    # assign objects_lists
    objects_list = bge.logic.getCurrentScene().objects
    
    # check for valid conditions, order of checklist is optimized for speed
    for obj in objects_list:
        dist = ship.getDistanceTo(obj)
        if dist <= ship_detection_range:
            if dist <= proximity_detection_range:
                if "target" in obj:
                    if dist <= collision_detection_range:
                        collision_detection_list.append(obj)
                    else:
                        proximity_detection_list.append(obj)
            if "ship" in obj:
                ship_detection_list.append(obj)
            elif "base" in obj:
                base_detection_list.append(obj)

                
    # End subroutine Find_targets()
    return 


# Start main routine

# some constants
ship_detection_range = 150
ship_detection_list = []
base_detection_list = []

proximity_detection_range = 60
proximity_detection_list = []

collision_detection_range = 30
collision_detection_list = []

# assign the ship object
ship = bge.logic.getCurrentScene().objects["Ship"]

Find_targets()

print("ships       ", ship_detection_list)
print("bases       ", base_detection_list)
print("proximity   ", proximity_detection_list)
print("collision   ", collision_detection_list)

# End script